Subject: Re: bug#78036: [PATCH] Reuse calendar temporary face

From: Eli Zaretskii <[email-masked]>
Date: Sat, 26 Apr 2025 17:06:14 +0300

> From: Manuel Giraud <[email-masked]>
> Date: Thu, 24 Apr 2025 16:36:42 +0200
> 
> As suggested by the comment, this patch tries to reuse "temporary" faces
> created by calendar.el.  Without this, if you have a diary entry like:
> 
> --8<---------------cut here---------------start------------->8---
> %%(diary-block 4 1 2025 4 30 2025 '(:background "lightgrey")) A busy month
> --8<---------------cut here---------------end--------------->8---
> 
> Emacs will create a new face for each day in the block.

Thanks, installed on the master branch, and closing the bug.